=== debian/changelog ===
postgis (2.4.4+dfsg-4.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
     Enable sfcgal.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 10 Jun 2018 00:28:43 +0200

postgis (2.4.4+dfsg-4) unstable; urgency=medium

  * Add patches to fix parallel build of other extensions.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Jun 2018 00:28:43 +0200

postgis (2.4.4+dfsg-3) unstable; urgency=medium

  * Add patch to fix parallel build of postgis_tiger_geocoder extension.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Jun 2018 21:39:17 +0200

postgis (2.4.4+dfsg-2) unstable; urgency=medium

  * Drop unnecessary get-orig-source target from rules file.
  * Bump Standards-Version to 4.1.4, changes: get-orig-source target.
  * Enable parallel builds.
  * Don't use parallel for doc, docs-install & man-install targets.
  * Strip trailing whitespace from changelog & control files.
  * Add patch to fix expected test output with GDAL 2.3.0 & PROJ 5.1.0.
    (closes: #901158)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Jun 2018 19:11:01 +0200

postgis (2.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Drop pkg-config patch, applied upstream.
  * Strip trailing whitespace from README.Debian.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Apr 2018 09:40:25 +0200
