## postgis 2.5.1+dfsg

=== doc/po/pt_BR/Makefile ===
DOCSUFFIX=-br
include ../Makefile.local
