=== debian/changelog ===
postgis (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to symbols file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Nov 2018 06:52:52 +0100

postgis (2.5.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Oct 2018 09:04:35 +0200

postgis (2.5.0+dfsg-2~exp1) experimental; urgency=medium

  * Strip trailing comma from Uploaders.
  * Reorder Breaks/Provides/Replaces fields.
  * Update packaging for postgresql-11.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Oct 2018 17:05:37 +0200
