=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Francesco Paolo Lovergine <frankie@debian.org>,
            Markus Wanner <markus@bluegap.ch>,
            Bas Couwenberg <sebastic@debian.org>,
-           Christoph Berg <myon@debian.org>,
+           Christoph Berg <myon@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: autoconf2.13,
@@ -44,7 +44,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-10-postgis-2.5,
+Recommends: postgresql-11-postgis-2.5,
             postgis-doc
 Suggests: postgis-gui
 Description: Geographic objects support for PostgreSQL
@@ -62,7 +62,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-10-postgis-2.5,
+Recommends: postgresql-11-postgis-2.5,
             postgis-doc
 Suggests: postgis
 Breaks: postgis (<< 2.2.2+dfsg-2~)
@@ -130,17 +130,17 @@
  processing functions, are implemented here.  This package contains
  the development files.
 
-Package: postgresql-10-postgis-2.5
-Provides: postgresql-10-postgis,
-          postgresql-postgis
+Package: postgresql-11-postgis-2.5
 Architecture: any
-Depends: postgresql-10,
+Depends: postgresql-11,
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-10-postgis-2.5-scripts
+Recommends: postgresql-11-postgis-2.5-scripts
 Suggests: postgis
 Breaks: postgis (<< 1.2.1)
-Description: Geographic objects support for PostgreSQL 10
+Provides: postgresql-11-postgis,
+          postgresql-postgis
+Description: Geographic objects support for PostgreSQL 11
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -148,23 +148,23 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
  .
- To create the PostGIS extensions in a PostgreSQL 10 database, the
- postgresql-10-postgis-2.5-scripts package must be installed as well.
+ To create the PostGIS extensions in a PostgreSQL 11 database, the
+ postgresql-11-postgis-2.5-scripts package must be installed as well.
 
-Package: postgresql-10-postgis-2.5-scripts
-Provides: postgresql-10-postgis-scripts,
-          postgresql-postgis-scripts
+Package: postgresql-11-postgis-2.5-scripts
 Architecture: all
 Multi-Arch: foreign
 Depends: ${perl:Depends},
          ${misc:Depends}
-Recommends: postgresql-10-postgis-2.5
-Breaks: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
-Conflicts: postgresql-10-postgis-2.2-scripts,
-           postgresql-10-postgis-2.3-scripts,
-           postgresql-10-postgis-2.4-scripts
-Replaces: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 10 -- SQL scripts
+Recommends: postgresql-11-postgis-2.5
+Breaks: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
+Conflicts: postgresql-11-postgis-2.2-scripts,
+           postgresql-11-postgis-2.3-scripts,
+           postgresql-11-postgis-2.4-scripts
+Provides: postgresql-11-postgis-scripts,
+          postgresql-postgis-scripts
+Replaces: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -173,5 +173,5 @@
  "Simple Features Specification for SQL".
  .
  This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 10 database, and for upgrading from earlier PostGIS versions.
+ 11 database, and for upgrading from earlier PostGIS versions.
