=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,15 @@
 
 # Disable PIE on Ubuntu where it's still problematic
 VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
+DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
 
 ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-endif
-
+  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
+    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+  endif
+endif
+
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
 # Magic to automatically create a debian/control file for the (or all)
@@ -38,33 +42,10 @@
 	done; \
 	mv $@.pgxs_tmp $@) || (rm -f $@.pgxs_tmp; exit 1)
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-
-VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
-
-CHECK = check
-ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	CHECK =
-endif
-
-# Hurd doesn't implement semaphores; skip regress tests
-# mipsel has persisent buildd issues, skip tests too.
-# armel has no sfcgal support, and fails interrupt_buffer test.
-# kfreebsd-i386, mips64el & sparc64 are not a release architectures.
-# hppa (and mips*) fails the tickets and wkb tests because of different NaN representations.
-# ppc64 fails to change owner and permissions of the virtualenv
-# alpha has issues with the sfcgal support
-ifneq (,$(findstring $(DEB_BUILD_ARCH),"hurd-i386 mipsel armel hppa kfreebsd-i386 mips64el ppc64 alpha sparc64 s390x powerpc"))
-	CHECK =
-endif
-
-# Disable tests on Ubuntu (and derivatives), hanging on their buildds.
-ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-	CHECK =
+CHECK_FAIL = exit 2
+# Ignore test failure on problematic architectures
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
+	CHECK_FAIL = exit 0
 endif
 
 # Upstream version (including ~rcN) for symbols version
@@ -158,6 +139,7 @@
 	done)
 
 #	PostGIS for the most recent PostgreSQL version
+	@echo " ### configuring $(NEWEST_POSTGRES_VERSION) ###"
 	./configure $(COMMON_CONFIGURE_ARGS) \
 		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
 		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config
@@ -165,21 +147,29 @@
 #	PostGIS for all older Postgres versions
 	(set -e; \
 	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
+		echo " ### configuring $$PGVER ###"; \
 		cd $(CURDIR)/debian/build-$$PGVER; \
 		./configure $(COMMON_CONFIGURE_ARGS) \
 			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
 			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
 	done)
 
+	# remove file erroneously still generated by configure in 2.5.0beta1
+	# https://github.com/postgis/postgis/pull/270
+	rm -vf extensions/postgis_tiger_geocoder/postgis_tiger_geocoder.control
+	rm -vf debian/build-*/extensions/postgis_tiger_geocoder/postgis_tiger_geocoder.control
+
 override_dh_auto_build-arch: build-arch-stamp
 build-arch-stamp:
 #	Build against the newest Postgres version
+	@echo " ### building $(NEWEST_POSTGRES_VERSION) ###"
 	$(MAKE) $(NJOBS)
 	$(MAKE) $(NJOBS) -C doc
 
 #	Build against all other Postgres versions
 	(set -e; \
 	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
+		echo " ### building $$PGVER ###"; \
 		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
 	done)
 
@@ -199,22 +189,28 @@
 #	clever enough to run this before 'install'.
 	$(MAKE) $(NJOBS) -C extensions
 
-override_dh_auto_test:
+override_dh_auto_test-indep:
+
+override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #   Run unit tests (against the newest Postgres version, first)
 	echo "LD_PRELOAD = '$(CURDIR)/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
 		> $(CURDIR)/postgis-check-env.tmp
-	(set -e; \
-		test -z '$(CHECK)' || \
-		pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
-			-c '--environment $(CURDIR)/postgis-check-env.tmp' make check || (\
-		for LOGFILE in /tmp/pgis_reg/test_*_diff; do \
-			echo " ### $$LOGFILE ###"; \
-			cat $$LOGFILE; \
-		done; \
-		echo " ### end of log dumps ###"; \
-		exit 2) \
-	)
+	echo " ### testing $(NEWEST_POSTGRES_VERSION) ###"
+	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
+		-c '--environment $(CURDIR)/postgis-check-env.tmp' \
+		make check RUNTESTFLAGS="-v" || $(CHECK_FAIL)
 
 #	Test against all other Postgres versions
-	(set -e; \
-	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
+	set -e; \
+	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
+		echo " ### testing $$PGVER ###"; \
+		echo "LD_PRELOAD = '$(CURDIR)/debian/build-$$PGVER/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
+			> $(CURDIR)/postgis-check-env.tmp; \
+		pg_virtualenv -v $$PGVER \
+			-c '--environment $(CURDIR)/postgis-check-env.tmp' \
+			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || $(CHECK_FAIL); \
+	done
+endif
+
+override_dh_auto_install-indep:
