=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-all
Tests: test-extension-creation
Restrictions: needs-root, allow-stderr
